Hermos API

Staff_merchant_directory

GET/staff/merchants

Authorization

cookieAuth
__Host-hms_session<token>

In: cookie

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50
status?string

Value in

  • "active"
  • "suspended"
  • "closing"
  • "closed"
query?string
Lengthlength <= 100

Header Parameters

hms-livemode*string

Required explicit directory mode (Hms-Livemode).

Value in

  • "true"
  • "false"

Response Body

application/json

application/json

curl -X GET "https://example.com/staff/merchants" \  -H "hms-livemode: true"
{  "data": [    {      "id": "string",      "reference": "string",      "name": "string",      "country": "string",      "status": "active",      "created_at": "2019-08-24T14:15:22Z",      "processors": [        {          "processor": "string",          "status": "string"        }      ]    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary"}